﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Drawing;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartSeries series1 = new ChartSeries("series1");
            series1.Points.Add(0, 10);
            series1.Points.Add(2, 18);
            series1.Points.Add(3, 21);
            series1.Points.Add(4, 23);
            series1.Points.Add(5, 18);
            this.chart.Series.Add(series1);
            ChartSeries series2 = new ChartSeries("Series2");
            series2.Points.Add(0, 12);
            series2.Points.Add(2, 21);
            series2.Points.Add(3, 18);
            series2.Points.Add(4, 25);
            series2.Points.Add(5, 24);
            this.chart.Series.Add(series2);
            chart.ChartArea.MultiplePies = true;
            series1.Type = ChartSeriesType.Pie;
            series2.Type = ChartSeriesType.Pie;
            series2.ConfigItems.PieItem.DoughnutCoeficient = 0.7f;
            this.chart.Legends.Clear();
            //creating custom legend
            ChartLegend legend1 = new ChartLegend(chart);
            
           // ChartLegend legend2 = new ChartLegend(chart);
            legend1.Name = "legend1";
            legend1.Text = "Education";
            legend1.CustomItems = new ChartLegendItem[10];
            Color[] color1 = new Color[] { System.Drawing.Color.Blue, System.Drawing.Color.Brown, System.Drawing.Color.Cyan, System.Drawing.Color.DarkGray, System.Drawing.Color.DarkOliveGreen, System.Drawing.Color.DarkRed, System.Drawing.Color.DarkViolet, System.Drawing.Color.Green, System.Drawing.Color.Indigo, System.Drawing.Color.LightCyan };
            String[] text = new String[] { "Sports", "politics", "IT", "ECE", "EIE", "Mech", "Civil", "CSE", "EEE", "EB" };
            for (int i = 0; i < 10; i++)
            {
                //adding legend items to custom legend
                ChartLegendItem leg = new ChartLegendItem();
                
                leg.Text = "Sports";
                leg.Font = new Font("Segeo UI", 10, FontStyle.Regular);
                legend1.CustomItems[i] = leg;
                legend1.CustomItems[i].Text = text[i];
                legend1.CustomItems[i].Interior = new Syncfusion.Drawing.BrushInfo(color1[i]);

            }

            //adding custom legends to chart
            this.chart.Legends.Add(legend1);
            legend1.RepresentationType = ChartLegendRepresentationType.Circle;
            this.chart.LegendsPlacement = ChartPlacement.Outside;
            legend1.Position = ChartDock.Top;
            legend1.RowsCount = 3;


            for (int i = 0; i < 5; i++)
            {
                series1.Styles[i].Interior = new Syncfusion.Drawing.BrushInfo(color1[i]);
            }
            for (int i = 0; i < 5; i++)
            {
                series2.Styles[i].Interior = new Syncfusion.Drawing.BrushInfo(color1[i + series1.Points.Count]);
            }
            this.Controls.Add(chart);
        }
    }
}
